Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2SFTP

    java.lang.Object
      com.mindbright.ssh2.SSH2SFTP

Direct Known Subclasses:
  SSH2SFTPClient

public class SSH2SFTP
extends java.lang.Object

Describes the sftp protocol. The actual implementation can then be found in `SSH2SFTPClient`. These classes implement version 2 of the sftp protocol.

See Also:
  `SSH2SFTPClient`

Nested Class Summary
`static interface` | `SSH2SFTP.AsyncListener` An interface implemented by FTP controllers which want progress reports.
`static class` | `SSH2SFTP.FileAttributes` Class describing the different file attributes.
`static class` | `SSH2SFTP.FileHandle` Describes a file.
`static class` | `SSH2SFTP.SFTPAsyncAbortException`
`static class` | `SSH2SFTP.SFTPDisconnectException`
`static class` | `SSH2SFTP.SFTPEOFException`
`static class` | `SSH2SFTP.SFTPException` An exception in the SFTP code.
`static class` | `SSH2SFTP.SFTPNoSuchFileException`
`protected static class` | `SSH2SFTP.SFTPPacket` Handles sftp data packets.
`static class` | `SSH2SFTP.SFTPPermissionDeniedException`

Field Summary
`protected static int` | `SSH_ATTR_MODTIME`
`protected static int` | `SSH_ATTR_PERM`
`protected static int` | `SSH_ATTR_SIZE`
`protected static int` | `SSH_ATTR_UIDGID`
`protected static int` | `SSH_FILEXFER_VERSION`
`static int` | `SSH_FX_BAD_MESSAGE`
`static int` | `SSH_FX_CONNECTION_LOST`
`static int` | `SSH_FX_EOF`
`static int` | `SSH_FX_FAILURE`
`static int` | `SSH_FX_NO_CONNECTION`
`static int` | `SSH_FX_NO_SUCH_FILE`
`static int` | `SSH_FX_OK`
`static int` | `SSH_FX_OP_UNSUPPORTED`
`static int` | `SSH_FX_PERMISSION_DENIED`
`static int` | `SSH_FXF_APPEND`
`static int` | `SSH_FXF_CREAT`
`static int` | `SSH_FXF_EXCL`
`static int` | `SSH_FXF_READ`
`static int` | `SSH_FXF_TRUNC`
`static int` | `SSH_FXF_WRITE`
`protected static int` | `SSH_FXP_ATTRS`
`protected static int` | `SSH_FXP_CLOSE`
`protected static int` | `SSH_FXP_DATA`
`protected static int` | `SSH_FXP_EXTENDED`
`protected static int` | `SSH_FXP_EXTENDED_REPLY`
`protected static int` | `SSH_FXP_FSETSTAT`
`protected static int` | `SSH_FXP_FSTAT`
`protected static int` | `SSH_FXP_HANDLE`
`protected static int` | `SSH_FXP_INIT`
`protected static int` | `SSH_FXP_LSTAT`
`protected static int` | `SSH_FXP_MKDIR`
`protected static int` | `SSH_FXP_NAME`
`protected static int` | `SSH_FXP_OPEN`
`protected static int` | `SSH_FXP_OPENDIR`
`protected static int` | `SSH_FXP_READ`
`protected static int` | `SSH_FXP_READDIR`
`protected static int` | `SSH_FXP_REALPATH`
`protected static int` | `SSH_FXP_REMOVE`
`protected static int` | `SSH_FXP_RENAME`
`protected static int` | `SSH_FXP_RMDIR`
`protected static int` | `SSH_FXP_SETSTAT`
`protected static int` | `SSH_FXP_STAT`
`protected static int` | `SSH_FXP_STATUS`
`protected static int` | `SSH_FXP_VERSION`
`protected static int` | `SSH_FXP_WRITE`

Constructor Summary
`SSH2SFTP()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_FILEXFER_VERSION

    protected static final int SSH_FILEXFER_VERSION

See Also:
  Constant Field Values

### SSH_FXP_INIT

    protected static final int SSH_FXP_INIT

See Also:
  Constant Field Values

### SSH_FXP_VERSION

    protected static final int SSH_FXP_VERSION

See Also:
  Constant Field Values

### SSH_FXP_OPEN

    protected static final int SSH_FXP_OPEN

See Also:
  Constant Field Values

### SSH_FXP_CLOSE

    protected static final int SSH_FXP_CLOSE

See Also:
  Constant Field Values

### SSH_FXP_READ

    protected static final int SSH_FXP_READ

See Also:
  Constant Field Values

### SSH_FXP_WRITE

    protected static final int SSH_FXP_WRITE

See Also:
  Constant Field Values

### SSH_FXP_LSTAT

    protected static final int SSH_FXP_LSTAT

See Also:
  Constant Field Values

### SSH_FXP_FSTAT

    protected static final int SSH_FXP_FSTAT

See Also:
  Constant Field Values

### SSH_FXP_SETSTAT

    protected static final int SSH_FXP_SETSTAT

See Also:
  Constant Field Values

### SSH_FXP_FSETSTAT

    protected static final int SSH_FXP_FSETSTAT

See Also:
  Constant Field Values

### SSH_FXP_OPENDIR

    protected static final int SSH_FXP_OPENDIR

See Also:
  Constant Field Values

### SSH_FXP_READDIR

    protected static final int SSH_FXP_READDIR

See Also:
  Constant Field Values

### SSH_FXP_REMOVE

    protected static final int SSH_FXP_REMOVE

See Also:
  Constant Field Values

### SSH_FXP_MKDIR

    protected static final int SSH_FXP_MKDIR

See Also:
  Constant Field Values

### SSH_FXP_RMDIR

    protected static final int SSH_FXP_RMDIR

See Also:
  Constant Field Values

### SSH_FXP_REALPATH

    protected static final int SSH_FXP_REALPATH

See Also:
  Constant Field Values

### SSH_FXP_STAT

    protected static final int SSH_FXP_STAT

See Also:
  Constant Field Values

### SSH_FXP_RENAME

    protected static final int SSH_FXP_RENAME

See Also:
  Constant Field Values

### SSH_FXP_STATUS

    protected static final int SSH_FXP_STATUS

See Also:
  Constant Field Values

### SSH_FXP_HANDLE

    protected static final int SSH_FXP_HANDLE

See Also:
  Constant Field Values

### SSH_FXP_DATA

    protected static final int SSH_FXP_DATA

See Also:
  Constant Field Values

### SSH_FXP_NAME

    protected static final int SSH_FXP_NAME

See Also:
  Constant Field Values

### SSH_FXP_ATTRS

    protected static final int SSH_FXP_ATTRS

See Also:
  Constant Field Values

### SSH_FXP_EXTENDED

    protected static final int SSH_FXP_EXTENDED

See Also:
  Constant Field Values

### SSH_FXP_EXTENDED_REPLY

    protected static final int SSH_FXP_EXTENDED_REPLY

See Also:
  Constant Field Values

### SSH_FX_OK

    public static final int SSH_FX_OK

See Also:
  Constant Field Values

### SSH_FX_EOF

    public static final int SSH_FX_EOF

See Also:
  Constant Field Values

### SSH_FX_NO_SUCH_FILE

    public static final int SSH_FX_NO_SUCH_FILE

See Also:
  Constant Field Values

### SSH_FX_PERMISSION_DENIED

    public static final int SSH_FX_PERMISSION_DENIED

See Also:
  Constant Field Values

### SSH_FX_FAILURE

    public static final int SSH_FX_FAILURE

See Also:
  Constant Field Values

### SSH_FX_BAD_MESSAGE

    public static final int SSH_FX_BAD_MESSAGE

See Also:
  Constant Field Values

### SSH_FX_NO_CONNECTION

    public static final int SSH_FX_NO_CONNECTION

See Also:
  Constant Field Values

### SSH_FX_CONNECTION_LOST

    public static final int SSH_FX_CONNECTION_LOST

See Also:
  Constant Field Values

### SSH_FX_OP_UNSUPPORTED

    public static final int SSH_FX_OP_UNSUPPORTED

See Also:
  Constant Field Values

### SSH_FXF_READ

    public static final int SSH_FXF_READ

See Also:
  Constant Field Values

### SSH_FXF_WRITE

    public static final int SSH_FXF_WRITE

See Also:
  Constant Field Values

### SSH_FXF_APPEND

    public static final int SSH_FXF_APPEND

See Also:
  Constant Field Values

### SSH_FXF_CREAT

    public static final int SSH_FXF_CREAT

See Also:
  Constant Field Values

### SSH_FXF_TRUNC

    public static final int SSH_FXF_TRUNC

See Also:
  Constant Field Values

### SSH_FXF_EXCL

    public static final int SSH_FXF_EXCL

See Also:
  Constant Field Values

### SSH_ATTR_SIZE

    protected static final int SSH_ATTR_SIZE

See Also:
  Constant Field Values

### SSH_ATTR_UIDGID

    protected static final int SSH_ATTR_UIDGID

See Also:
  Constant Field Values

### SSH_ATTR_PERM

    protected static final int SSH_ATTR_PERM

See Also:
  Constant Field Values

### SSH_ATTR_MODTIME

    protected static final int SSH_ATTR_MODTIME

See Also:
  Constant Field Values

Constructor Detail

### SSH2SFTP

    public SSH2SFTP()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD